<?php declare(strict_types=1);

namespace Drupal\comgate\Dto\Codes;

/**
 * Enumeration of ISO-2 country codes supported by Comgate.
 */
final class CountryCode {

  public const ALL = 'ALL';

  public const AT = 'AT';

  public const BE = 'BE';

  public const CY = 'CY';

  public const CZ = 'CZ';

  public const DE = 'DE';

  public const EE = 'EE';

  public const EL = 'EL';

  public const ES = 'ES';

  public const FI = 'FI';

  public const FR = 'FR';

  public const GB = 'GB';

  public const HR = 'HR';

  public const HU = 'HU';

  public const IE = 'IE';

  public const IT = 'IT';

  public const LT = 'LT';

  public const LU = 'LU';

  public const LV = 'LV';

  public const MT = 'MT';

  public const NL = 'NL';

  public const NO = 'NO';

  public const PL = 'PL';

  public const PT = 'PT';

  public const RO = 'RO';

  public const SL = 'SL';

  public const SK = 'SK';

  public const SV = 'SV';

  public const US = 'US';

  public const SELF = [
    self::ALL,
    self::AT,
    self::BE,
    self::CY,
    self::CZ,
    self::DE,
    self::EE,
    self::EL,
    self::ES,
    self::FI,
    self::FR,
    self::GB,
    self::HR,
    self::HU,
    self::IE,
    self::IT,
    self::LT,
    self::LU,
    self::LV,
    self::MT,
    self::NL,
    self::NO,
    self::PL,
    self::PT,
    self::RO,
    self::SL,
    self::SK,
    self::SV,
    self::US,
  ];

}
